<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/black"
    android:paddingBottom="?android:actionBarSize"
    tools:context=".ui.quotes.ImageDetailFragment">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:id="@+id/imageview_cancel"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentTop="true"
            android:layout_alignParentRight="true"
            android:layout_marginTop="?android:actionBarSize"
            android:layout_marginRight="@dimen/activity_horizontal_margin"
            android:src="@drawable/close_circle" />

        <ImageView
            android:id="@+id/imageview_full_view"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:layout_margin="@dimen/activity_horizontal_margin"
            android:orientation="horizontal"
            android:weightSum="2">

            <LinearLayout
                android:id="@+id/image_download"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:clickable="true"
                android:focusable="true"
                android:background="@drawable/selector_transparent"
                android:gravity="center"
                android:orientation="horizontal">

                <ImageButton
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@color/transparent"
                    android:padding="8dp"
                    android:src="@drawable/download" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/string_download"
                    android:textAppearance="@style/TextAppearance.AppCompat.Small"
                    android:textColor="@color/white" />

            </LinearLayout>

            <LinearLayout
                android:id="@+id/image_share"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:clickable="true"
                android:focusable="true"
                android:gravity="center"
                android:background="@drawable/selector_transparent"
                android:orientation="horizontal">

                <ImageButton
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@color/transparent"
                    android:padding="8dp"
                    android:src="@drawable/share_variant" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/string_share"
                    android:textAppearance="@style/TextAppearance.AppCompat.Small"
                    android:textColor="@color/white" />
            </LinearLayout>
        </LinearLayout>
    </RelativeLayout>

</androidx.constraintlayout.widget.ConstraintLayout>